/* Com styles */

html {
	scroll-behavior: smooth;
}

:root {
    --dark: #0B0B0B;
    --peach: #FFE2B1;
    --white: #FFFFFF;
    --white-10: rgba(255, 255, 255, 0.10);
    --white-20: rgba(255, 255, 255, 0.20);
    --gray: #959595;

    --border-radius-20: 20px;
    --padding-card-20: 20px;
    --card-spacing: 25px;
}

body {
	margin: 0;
	font-family: 'Montserrat', sans-serif;
	background: var(--dark);
	color: var(--white);
	font-size: 16px;
	padding-top: 60px;
	padding-bottom: 60px;
}

.wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.wrap-content {
    flex-direction: column;
    width: 500px;
}

.card {
    width: 100%;
    box-sizing: border-box;
    margin-bottom: var(--card-spacing);
    overflow: hidden;
}

h2 {
    color: var(--peach);
    font-size: 20px;
    font-weight: 600;
    line-height: 30px;
    margin: 0;
}

.h2-wrap {
    display: flex;
    align-items: center;
    gap: 5px;
    padding-left: 1px;
    z-index: 2;
    position: relative;
}

a {
    cursor: pointer;
}

.button-main {
    display: inline-block;
    height: 30px;
    padding: 0px 10px;
    background: var(--white);
    border-radius: 15px;
    color: var(--dark);
    font-size: 14px;
    font-weight: 600;
    line-height: 30px;
    vertical-align: middle;
}

.button-main:hover {
    background: var(--peach);
}

.button-main img {
    display: inline-block;
    vertical-align: top;
    margin-right: 5px;
}

.button-soc {
    padding-left: 0px;    
}

.button-soc img {
    margin-right: 1px;
}

a {
    text-decoration: none;
    color: inherit;
}

a:visited {
    color: initial;
}

p {
    margin-top: 10px;
    margin-bottom: 20px;

    font-weight: 400;
    line-height: 22px;
}

#copyInput {
    opacity: 0;
    position: absolute;
    right: 0;
    top: 0;
    cursor: default;
}

.anim {
    opacity: 0;
    transform: translateY(60px);
    animation: fadeInUp 1.4s forwards;
}

@keyframes fadeInUp {
    to {
        opacity: 1;
        transform: translateY(0);
     }
}

/* user info */

.user-card {
    display: flex;
    padding: 20px 20px 15px 20px;
    flex-direction: column;
    justify-content: center;
    gap: 15px;

    border:1px solid transparent;
    border-bottom-right-radius: var(--border-radius-20);
    border-bottom-left-radius: var(--border-radius-20);
    background:
        linear-gradient(180deg, #0C0C0C 0%, #242424 100%) padding-box,
        linear-gradient(180deg, rgba(11, 11, 11, 0.00) 16.69%, rgba(255, 255, 255, 0.20) 94.32%) border-box;
}
.user-card-info {
    display: flex;
    gap: 15px;
    align-items: center;
}

.user-card h1 {
    font-size: 22px;
    font-weight: 600;
    line-height: 120%;
    margin: 0;
}

.user-card img {
    width: 70px;
    height: 70px;
    border-radius: 50%;
}

.user-card-info-title {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.user-card-info-title-subtitle {
    font-weight: 500;
    line-height: 20px;
    color: var(--peach);
}

.user-card-info-title-subtitle span {
    color: var(--gray);
}

.user-card-sign {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 30px;
    border-radius: 15px;
    background-color: var(--white-10);
    text-align: center;
}

/* cookies card*/
.cookies-card {
    margin-bottom: var(--card-spacing);
    color: var(--white-20);
    font-size: 12px;
    font-weight: 400;
    line-height: 20px;
    text-align: center;
}

.cookies-card a {
    color: var(--white-20);
    text-decoration: underline;
}

/* active projects */

.active-projects-card {
    animation-delay: 0.3s;
    padding: 15px 0px 10px 0px;
    border:1px solid transparent;
    border-radius: var(--border-radius-20);
    background:
        linear-gradient(165deg, #0C0C0C 10.56%, #242424 97.7%) padding-box,
        linear-gradient(170deg, rgba(255, 255, 255, 0.10) 0%, rgba(255, 255, 255, 0.20) 100%) border-box;
}

.active-projects-card-title {
    margin-bottom: 20px;
    padding: 0px 20px;

    display: flex;
    justify-content: space-between;
}

.active-projects-card-list-item {
    display: flex;
    gap: 15px;
    align-items: center;
    padding-left: var(--padding-card-20);
    padding-right: var(--padding-card-20);
    padding-top: 10px;
    padding-bottom: 10px;
    position: relative;
    
}

.active-projects-card-list-item::after {
    content: "";
    width: 24px;
    height: 24px;
    background-image: url(../img/ChevronRight.svg);
    background-size: 24px 24px;
    background-repeat: no-repeat;
    position: absolute;
    right: 20px;
}

.active-projects-card-list-item:hover {
    background: var(--white-10);
}

.active-projects-card-list-item img {
    width: 50px;
    height: 50px;
    border-radius: 15px;
    overflow: hidden;
}

.active-projects-card-list-divider {
    width: auto;
    margin-top: 10px;
    margin-left: var(--padding-card-20);
    margin-bottom: 10px;
    background: rgba(255, 255, 255, 0.20);
    height: 1px;
}

.active-projects-card-list-item-title {
    color: var(--white);
    line-height: 20px;
    margin-bottom: 3px;
}

.active-projects-card-list-item-title span {
    color: var(--gray);
    height: 20px;
    line-height: 20px;
    padding: 0px 7px;
    background-color: var(--white-10);
    border-radius: 10px;
    margin-left: 3px;
    font-size: 14px;
}

.active-projects-card-list-item-desc {
    font-size: 14px;
    font-weight: 500;
    line-height: 20px;
    color: var(--gray);
}

.anim-dot {
    animation: bounceInOut 3s infinite alternate;
}

@keyframes bounceInOut {
    0%, 50%, 100% {
        opacity: 0;
    }
   25%, 75% {
        opacity: 1;
    }
}


/* past projects */

.past-projects-card {
    animation-delay: 0.7s;
    padding: 25px 20px;
    border:1px solid transparent;
    border-radius: var(--border-radius-20);
    position: relative;
    overflow: hidden;


    background:
        linear-gradient(39deg, #262626 3.8%, #151515 93.84%) padding-box,
        linear-gradient(170deg, rgba(255, 255, 255, 0.20) 0%, rgba(255, 255, 255, 0.20) 100%) border-box;
}

.past-projects-card-wrap {
    position: relative;
    margin-top: 10px;
    z-index: 2;
}

.past-projects-card-tiles {
    position: absolute;
    rotate: 30deg;
    width: 200px;
    height: auto;
    right: -22px;
    top: -35px;
    transition: all 0.25s linear;
}

/* get in touch */

.get-in-touch-card {
    animation-delay: 1.1s;
    padding: 15px 20px 20px 20px;
    position: relative;
    border:1px solid transparent;
    border-top-right-radius: var(--border-radius-20);
    border-top-left-radius: var(--border-radius-20);
    background:
        linear-gradient(180deg, #242424 0%, #0C0C0C 100%) padding-box,
        linear-gradient(180deg, rgba(255, 255, 255, 0.20) 16.69%, rgba(11, 11, 11, 0.00) 94.32%) border-box;
}

.get-in-touch-card-soc {
    display: flex;
    gap: 15px;
    flex-wrap: wrap;
}

/* about me */
.about-me-card {
    animation-delay: 1.5s;
    padding: 15px 20px 100px 20px;
    position: relative;
    border-bottom-left-radius: var(--border-radius-20);
    border-bottom-right-radius: var(--border-radius-20);
    overflow: hidden;
}

.about-me-card::after{
    content: "";
    position: absolute;
    width: 200px;
    height: 190px;
    background: url(../img/planet.png);
    background-size: 200px 190px;
    background-repeat: no-repeat;
    bottom: 0;
    right: 0;
    z-index: -1;
}

.about-me-card-cta {
    display: inline-flex;
    flex-direction: column;
    gap: 20px;
    margin-top: 10px;
}

.about-me-card-cta a {
    width: fit-content;
}

/* media */

@media (max-width: 540px) {
    .wrap-content {
        width: 100%;
    }
    .wrap {
        padding-left: 20px;
        padding-right: 20px;
    }
}

@media (max-width: 460px) {
    body {
        font-size: 14px;
    }

    .active-projects-card-list-item-desc {
        font-size: 12px;
    }

    .active-projects-card-list-item::after {
        right: 15px;
    }

    .past-projects-card-tiles {
        width: 180px;
        right: -14px;
        top: -15px;
        rotate: 20deg;
    }
}

@media (max-width: 380px) {

    :root {
        --padding-card-20: 10px;
    }

    .wrap {
        padding-left: 15px;
        padding-right: 15px;
    }

    h2 {
        font-size: 16px;
    }

    .user-card {
        padding: 20px 10px 15px 10px;
    }

    .active-projects-card-title {
        padding: 0px 10px;
    }

    .past-projects-card {
        padding: 15px 10px 20px 10px;
    }

    .get-in-touch-card {
        padding: 15px 10px 20px 10px;
    }

    .about-me-card {
        padding: 15px 10px 30px 10px;
    }
}

@media (max-width: 380px) {
    .user-card-sign {
        font-size: 12px;
    }

    .user-card h1 {
        font-size: 20px;
    }

    .user-card-info-title-subtitle {
        font-size: 12px;
    }
}